Look up financial institutions
Search for financial institutions by name or routing number.
This endpoint returns metadata about each matched institution, including basic identifying details (such as name, routing number, and address) and information about which payment services they support (e.g., ACH, RTP, and Wire).
This can be used to validate a financial institution before initiating payment activity, or to check which payment rails are available for a given routing number.
To access this endpoint using an access token
you'll need to specify the /institutions.read scope.
GET
/institutions
curl -X GET "https://api.moov.io/institutions" \
-H "Authorization: Bearer {token}" \
-H "X-Moov-Version: v2026.04.00"mc, _ := moov.NewClient()
mc.SearchInstitutions(ctx,
moov.WithInstitutionName("Chase"),
moov.WithInstitutionLimit(5),
)
import { Moov } from "@moovio/sdk";
const moov = new Moov({
security: {
username: "",
password: "",
},
});
async function run() {
const result = await moov.institutions.searchInstitutions({});
console.log(result);
}
run();declare(strict_types=1);
require 'vendor/autoload.php';
use Moov\MoovPhp;
use Moov\MoovPhp\Models\Components;
$sdk = MoovPhp\Moov::builder()
->setSecurity(
new Components\Security(
username: '',
password: '',
)
)
->build();
$response = $sdk->institutions->searchInstitutions(
);
if ($response->institutionsSearchResponse !== null) {
// handle response
}package hello.world;
import io.moov.sdk.Moov;
import io.moov.sdk.models.components.Security;
import io.moov.sdk.models.operations.SearchInstitutionsResponse;
import java.lang.Exception;
public class Application {
public static void main(String[] args) throws Exception {
Moov sdk = Moov.builder()
.security(Security.builder()
.username("")
.password("")
.build())
.build();
SearchInstitutionsResponse res = sdk.institutions().searchInstitutions()
.call();
if (res.institutionsSearchResponse().isPresent()) {
System.out.println(res.institutionsSearchResponse().get());
}
}
}from moovio_sdk import Moov
from moovio_sdk.models import components
with Moov(
security=components.Security(
username="",
password="",
),
) as moov:
res = moov.institutions.search_institutions()
# Handle response
print(res)require 'moov_ruby'
Models = ::Moov::Models
s = ::Moov::Client.new(
security: Models::Components::Security.new(
username: '',
password: ''
)
)
res = s.institutions.search_institutions
unless res.institutions_search_response.nil?
# handle response
endusing Moov.Sdk;
using Moov.Sdk.Models.Components;
var sdk = new MoovClient(security: new Security() {
Username = "",
Password = "",
});
var res = await sdk.Institutions.SearchInstitutionsAsync();
// handle responseThe request completed successfully.
{
"ach": [
{
"name": "First Citizens",
"routingNumber": "123456789",
"address": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 302",
"city": "Boulder",
"stateOrProvince": "CO",
"postalCode": "80301",
"country": "US"
},
"contact": {
"phone": {
"number": "8185551212",
"countryCode": "1"
}
}
}
],
"rtp": [
{
"name": "First Citizens",
"routingNumber": "123456789",
"services": {
"receivePayments": true,
"receiveRequestForPayment": true
}
}
],
"wire": [
{
"name": "First Citizens",
"routingNumber": "123456789",
"address": {
"addressLine1": "123 Main Street",
"addressLine2": "Apt 302",
"city": "Boulder",
"stateOrProvince": "CO",
"postalCode": "80301",
"country": "US"
},
"services": {
"fundsTransferStatus": true,
"fundsSettlementOnlyStatus": false,
"bookEntrySecuritiesTransferStatus": false
}
}
],
"fednow": [
{
"name": "First Citizens",
"routingNumber": "123456789",
"services": {
"receivePayments": true,
"sendPayments": true,
"requestForPayment": true
}
}
]
}Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request contained missing or expired authentication.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The user is not authorized to make the request.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The requested resource was not found.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Request was refused due to rate limiting.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed due to an unexpected error.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
The request failed because a downstream service failed to respond.
Response headers
x-request-id
string
required
A unique identifier used to trace requests.
Headers
X-Moov-Version
string
Set this header to v2026.04.00 to use the API described in this specification. When omitted, the server defaults to v2024.01.00, which may not match the behavior documented here.
Possible values:
v2026.04.00
Query parameters
name
string
Name of the financial institution. Either
name or routingNumber is required.
routingNumber
string
Routing number for a financial institution. Either
routingNumber or name is required.
limit
integer
Maximum results returned by a search.
Response
ach
array<object>
| null
required
Show child attributes
address
object
Show child attributes
addressLine1
string
<=60 characters
required
Pattern
city
string
<=32 characters
required
Pattern
country
string
<=2 characters
required
postalCode
string
<=5 characters
required
stateOrProvince
string
<=2 characters
required
addressLine2
string
<=32 characters
Pattern
contact
object
Show child attributes
phone
object
Show child attributes
countryCode
string
<=1 characters
number
string
<=10 characters
name
string
Name of the financial institution.
routingNumber
string
<=9 characters
fednow
array<object>
| null
required
Show child attributes
name
string
Name of the financial institution.
routingNumber
string
<=9 characters
services
object
Show child attributes
receivePayments
boolean
required
Indicates if the institution can receive instant payments.
requestForPayment
boolean
required
Indicates if the institution can process request for payment messages.
sendPayments
boolean
required
Indicates if the institution can send instant payments.
rtp
array<object>
| null
required
Show child attributes
name
string
Name of the financial institution.
routingNumber
string
<=9 characters
services
object
Show child attributes
receivePayments
boolean
required
Can the institution receive payments
receiveRequestForPayment
boolean
required
Can the institution receive request for payment messages
wire
array<object>
| null
required
Show child attributes
address
object
Show child attributes
addressLine1
string
<=60 characters
required
Pattern
city
string
<=32 characters
required
Pattern
country
string
<=2 characters
required
postalCode
string
<=5 characters
required
stateOrProvince
string
<=2 characters
required
addressLine2
string
<=32 characters
Pattern
name
string
Name of the financial institution.
routingNumber
string
<=9 characters
services
object
Show child attributes
bookEntrySecuritiesTransferStatus
boolean
required
The institution's capability to handle transfers of securities.
fundsSettlementOnlyStatus
boolean
required
The institution's capability for settlement-only transfers.
fundsTransferStatus
boolean
required
The institution's capability to process standard Fedwire funds transfers.